program Test

  call TempSub(1)

contains

subroutine TempSub(low)

  integer :: low

  integer :: intVar
  double precision, dimension(low:2) :: arr

  open(unit=13,file="test.txt")
  read(13,*) intVar,arr(:)
  close(13)

end subroutine TempSub

end program Test